package com.ejie.p06b.exception;

/**
 * XXXX
 * Inserte aquí la descripción del tipo.
 * Fecha de creación: (08/05/07)
 */

/*
 * Clase que representa un error generico
 */
public class P06BException extends Exception {
    
	private Exception exception = null;
	//Codigo del error a nivel de aplicacion
	private String codigo = null;
	
    /**
     * Constructor vacio
     */
    public P06BException() {
        
    }
    
    /**
     * Constructor
     *
     * @param aError error producido
     */
    public P06BException(String s) {
    	super(s);
    }
    
    /**
     * Constructor
     *
     * @param aError error producido
     */
    public P06BException(Exception e) {
    	exception = e;
    }
    
    /**
     * Constructor
     *
     * @param aError error producido
     */
    public P06BException(Exception e, String codigo) {
    	exception = e;
    	this.codigo = codigo;
    }

    public String getCodigo() {
    
    	return this.codigo;
    }
    
    public Exception getException() {
        
    	return this.exception;
    }
}